/*
----------------------------------------------------------------------
	
	AdAstra - Real Time Kernel

	Alain Chebrou

	test.c		Tests common definitions

	When		Who	What
	25/11/13	ac	Creation
	08/12/19	ac	port to STM32H743

----------------------------------------------------------------------
*/

#if ! defined TEST_H_
#define TEST_H_

#include	"aa.h"

//--------------------------------------------------------------------------------
#ifdef __cplusplus
extern "C" {
#endif

// This function allows to execute any of the tests
void		tests			(void) ;

// In testi2c.c
void		i2cTest			(void) ;	// Interactive

// In testspi.c
void		spiTest			(void) ;	// Interactive

// In testtim.c
void		timTest			(void) ;	// Interactive

// In testexti.c
void		swiTest			(void) ;	// Interactive

// In testzli.c
void		zliTest			(void) ;	// Interactive

// In testdac.c
void		dacTest			(void) ;	// Interactive

// In testmco.c
void		mcoTest			(void) ;	// Interactive


void		usbTest			(void) ;	// Interactive
#ifdef __cplusplus
}
#endif
//--------------------------------------------------------------------------------
#endif	// TEST_H_
